Bug 1534188 - Review Request: erlang-fs - Native filesystem listeners for Erlang
Summary: Review Request: erlang-fs - Native filesystem listeners for Erlang
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1494854 1516062
TreeView+ depends on / blocked
 
Reported: 2018-01-14 00:04 UTC by Randy Barlow
Modified: 2018-02-06 15:27 UTC (History)
2 users (show)

Fixed In Version: erlang-fs-4.1-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 11:21:17 UTC
lemenkov: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2018-01-14 00:04:51 UTC
Spec URL: https://bowlofeggs.fedorapeople.org/erlang-fs.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/erlang-fs-4.1-1.fc28.src.rpm
Description: Provides native filesystem listeners across platforms. inotify is used on Linux.
Fedora Account System Username: bowlofeggs

Comment 1 Randy Barlow 2018-01-14 00:08:22 UTC
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=24181586

Comment 2 Peter Lemenkov 2018-01-14 11:12:43 UTC
I'll review it.

Comment 3 Peter Lemenkov 2018-01-16 14:18:43 UTC
[+] rpmlint is silent (or produces only messages which can be safely ignored:

Auriga ~/rpmbuild/SPECS: rpmlint ~/rpmbuild/SRPMS/erlang-fs-4.1-1.fc27.src.rpm ~/rpmbuild/RPMS/x86_64/erlang-fs-4.1-1.fc27.x86_64.rpm 
erlang-fs.src: W: spelling-error %description -l en_US inotify -> notify, i notify, bogotify
erlang-fs.x86_64: W: spelling-error %description -l en_US inotify -> notify, i notify, bogotify
erlang-fs.x86_64: E: no-binary
erlang-fs.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 3 warnings.
Auriga ~/rpmbuild/SPECS:

See Erlang packaging Guidelines for the explanation of these warnings - https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines

[+] The package is named according to the Package Naming Guidelines.
[+] The spec file name matches the base package %{name}, in the format %{name}.spec.
[+] The package meets the Packaging Guidelines.
[+] The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
[+] The License field in the package spec file matches the actual license (ISC).
[+] The file, containing the text of the license(s) for the package, is included in %doc and marked as %license.
[+] The spec file is written in American English.
[+] The spec file for the package is legible.
[+] The sources used to build the package matches the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha256sum fs-4.1.tar.gz*
3dafd86145ca37aa3bbd69706ef8586f81f7eea89b29d01eb51a609609545303  fs-4.1.tar.gz
3dafd86145ca37aa3bbd69706ef8586f81f7eea89b29d01eb51a609609545303  fs-4.1.tar.gz.1
Auriga ~/rpmbuild/SOURCES:

[+] The package successfully compiles and builds into binary rpms.
[+] All build dependencies are listed in BuildRequires.
[0] No need to handle locales.
[0] The package does not contain any shared library files.
[+] Packages does not bundle copies of system libraries.
[+] The package isn't designed to be relocatable.
[+] The package owns all directories that it creates.
[+] The package does not list a file more than once in the spec file's %files listings.
[+] Permissions on files are set properly.
[+] The package consistently uses macros.
[+] The package contains code, or permissible content.
[0] No large documentation files.
[+] Anything, the package includes as %doc, does not affect the runtime of the application.
[0] No static libraries.
[0] No -devel sub-package.
[+] The package does not contain any .la libtool archives.
[0] Not a GUI application.
[+] The package does not own files or directories already owned by other packages.
[+] All filenames in rpm packages are valid UTF-8.

I've spotted only the following two issues:

* Missing Requires: inotify-tools
* Erlang dependency generator complains about not available M:F/A, so the following patch is required - https://peter.fedorapeople.org/packages/erlang-fs-0001-Unbundle-https-github.com-synrc-mad.patch

Comment 4 Randy Barlow 2018-01-16 14:24:48 UTC
Alright, I've got those two things fixed here. Thanks!

Spec URL: https://bowlofeggs.fedorapeople.org/erlang-fs.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/erlang-fs-4.1-2.fc28.src.rpm

Comment 5 Peter Lemenkov 2018-01-16 14:27:17 UTC
Ok, good. I don't see any other issues so this package is

APPROVED.

Comment 7 Gwyn Ciesla 2018-01-16 14:37:33 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/erlang-fs

Comment 9 Fedora Update System 2018-01-16 19:29:23 UTC
erlang-xmpp-1.1.19-1.fc27 erlang-esip-1.0.21-1.fc27 erlang-stun-1.0.20-1.fc27 erlang-jose-1.8.4-1.fc27 erlang-base64url-1.0-1.fc27 erlang-fs-4.1-2.fc27 erlang-fast_xml-1.1.28-1.fc27 erlang-fast_yaml-1.0.12-1.fc27 erlang-fast_tls-1.0.20-1.fc27 erlang-ezlib-1.0.3-1.fc27 erlang-cache_tab-1.0.12-1.fc27 ejabberd-18.01-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8d1658ffde

Comment 10 Fedora Update System 2018-01-21 10:40:01 UTC
ejabberd-18.01-1.fc27, erlang-base64url-1.0-1.fc27, erlang-cache_tab-1.0.12-1.fc27, erlang-esip-1.0.21-1.fc27, erlang-ezlib-1.0.3-1.fc27, erlang-fast_tls-1.0.20-1.fc27, erlang-fast_xml-1.1.28-1.fc27, erlang-fast_yaml-1.0.12-1.fc27, erlang-fs-4.1-2.fc27, erlang-jose-1.8.4-1.fc27, erlang-stun-1.0.20-1.fc27, erlang-xmpp-1.1.19-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8d1658ffde

Comment 11 Fedora Update System 2018-01-22 17:24:32 UTC
ejabberd-18.01-2.fc27 erlang-base64url-1.0-1.fc27 erlang-cache_tab-1.0.12-1.fc27 erlang-esip-1.0.21-1.fc27 erlang-ezlib-1.0.3-1.fc27 erlang-fast_tls-1.0.20-1.fc27 erlang-fast_xml-1.1.28-1.fc27 erlang-fast_yaml-1.0.12-1.fc27 erlang-fs-4.1-2.fc27 erlang-jose-1.8.4-1.fc27 erlang-stun-1.0.20-1.fc27 erlang-xmpp-1.1.19-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8d1658ffde

Comment 12 Fedora Update System 2018-01-23 23:39:04 UTC
ejabberd-18.01-2.fc27, erlang-base64url-1.0-1.fc27, erlang-cache_tab-1.0.12-1.fc27, erlang-esip-1.0.21-1.fc27, erlang-ezlib-1.0.3-1.fc27, erlang-fast_tls-1.0.20-1.fc27, erlang-fast_xml-1.1.28-1.fc27, erlang-fast_yaml-1.0.12-1.fc27, erlang-fs-4.1-2.fc27, erlang-jose-1.8.4-1.fc27, erlang-stun-1.0.20-1.fc27, erlang-xmpp-1.1.19-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8d1658ffde

Comment 13 Fedora Update System 2018-02-06 11:21:17 UTC
ejabberd-18.01-2.fc27, erlang-base64url-1.0-1.fc27, erlang-cache_tab-1.0.12-1.fc27, erlang-esip-1.0.21-1.fc27, erlang-ezlib-1.0.3-1.fc27, erlang-fast_tls-1.0.20-1.fc27, erlang-fast_xml-1.1.28-1.fc27, erlang-fast_yaml-1.0.12-1.fc27, erlang-fs-4.1-2.fc27, erlang-jose-1.8.4-1.fc27, erlang-stun-1.0.20-1.fc27, erlang-xmpp-1.1.19-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-02-06 15:27:12 UTC
ejabberd-18.01-2.fc27, erlang-base64url-1.0-1.fc27, erlang-cache_tab-1.0.12-1.fc27, erlang-esip-1.0.21-1.fc27, erlang-ezlib-1.0.3-1.fc27, erlang-fast_tls-1.0.20-1.fc27, erlang-fast_xml-1.1.28-1.fc27, erlang-fast_yaml-1.0.12-1.fc27, erlang-fs-4.1-2.fc27, erlang-jose-1.8.4-1.fc27, erlang-stun-1.0.20-1.fc27, erlang-xmpp-1.1.19-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.